using ReAct_PME.Domain;


namespace ReAct_PME.Application
{
    public partial interface IDT_LOGSService
    {
		#region CRUD de la table DT_LOGS
		Task<bool> Create_Async(DT_LOGS_DTO dt_logs);
		Task<bool> Update_Async(Guid ID, DT_LOGS_DTO dt_logs);
		Task<bool> Delete_Async(Guid ID);
		Task<IEnumerable<DT_LOGS_DTO>> GetAll_Async(bool IsActifOnly=false);
		Task<DT_LOGS_DTO?> GetById_Async(Guid ID);
		#endregion

		#region By_ID_WORK_FORCE
		Task<IEnumerable<DT_LOGS_DTO>> GetAll_By_ID_WORK_FORCE_Async(Guid ID_WORK_FORCE);
		Task<int> GetCount_By_ID_WORK_FORCE_Async(Guid ID_WORK_FORCE);
		Task<bool> Delete_By_ID_WORK_FORCE_Async(Guid ID_WORK_FORCE);
		#endregion



    }
}
